Bug 1479177 - since upgrade balsa is no longer able to send emails
since upgrade balsa is no longer able to send emails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: balsa (Show other bugs)
26
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Pawel Salek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 02:23 EDT by Andreas Kriegl
Modified: 2018-05-29 08:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:26:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Kriegl 2017-08-08 02:23:19 EDT
Description of problem:
Since the upgrade of fedora 25 to 26 
balsa refuses to send emails.

Version-Release number of selected component (if applicable):
balsa-2.5.3-2.fc26.i686

How reproducible:
each time when trying to send new mail or send queued mail.

Steps to Reproduce:
1. Opening balsa
2. Pressing the 'send queed mail button'

Actual results:
Two popup windows appear with content:
  Balsa
  Relaying refused:
  530: Authentication required
  Message left in your inbox

Expected results:
Message should be sent

Additional info:
  Unchanged Username and Password of balsa configuration of smtp, 
  use TLS if possible
Comment 1 Peter Bloomfield 2017-08-10 22:13:16 EDT
Thanks for the report!

Did you try recreating the outbound connection? Perhaps the way the password is stored changed between versions. Do you happen to know what version of Balsa you were using before the Fedora upgrade?
Comment 2 Andreas Kriegl 2017-08-11 05:09:45 EDT
I now recreated the outbound connection, but this did not resolve the problem.
The last version of balsa I was using successfully was
balsa-2.5.3-1.fc25.2.i686
Comment 3 Tony Nelson 2017-08-18 23:41:10 EDT
I am also having this problem.  I've tried several things, including installing the previous working version of balsa (balsa-2.5.1-4_GAN.x86_64, built w/o threads, though that doesn't stop libesmtp from using them!), but the first interesting one was Wireshark.  A capture shows a connection to the correct port but no attempt to STARTTLS or AUTH, just a EHLO and then MAIL FROM.  The setting for the (Default) Outgoing Mail Server has the username and password set, and TLS is required.  It all worked on my previous old Fedora, and the config file looks OK.

As I've tried two versions of balsa, I don't think it is the problem.  libesmtp libesmtp-1.0.6-11.fc26.x86_64 is a different build but the same minor version as the one I was using on the old Fedora.  I haven't yet dug into why libesmtp isn't trying to STARTTLS when it is set to Required.
Comment 4 Tony Nelson 2017-08-20 16:27:17 EDT
Due to the change from OpenSSL 1.0 to 1.1, libesmtp, which balsa uses to send mail, has been built w/o SSL support.  See my "Bug 1483350 - libesmtp built w/o SSS support -- compat-openssl10 required"
Comment 5 Fedora End Of Life 2018-05-03 04:06:30 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Peter Bloomfield 2018-05-03 08:41:23 EDT
Balsa no longer links against libesmtp, so this bug can be closed--I'm not sure what the resolution should be :-)
Comment 7 Fedora End Of Life 2018-05-29 08:26:28 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.